/**
 * Converts Hex to String.
 *
 * @param hex - The hex string to convert
 * @returns True UTF-8 converted string
 */
export declare function hex2a(hex: string): string;
/**
 * Generates a random string of numbers.
 *
 * @param n - The length of the string
 * @returns The random string
 */
export declare function randomNum(n: number): string;
/**
 * Decodes a SSID password.
 *
 * @param src - The encrypted password
 * @param key - The decryption key
 * @returns The decrypted password
 */
export declare function decodePassword(src: string, key: string): string;
/**
 * Encodes a string with AES256.
 *
 * @param src - The string to be encrypted
 * @param key - The encryption key
 * @param iv - The IV to use
 * @returns The encrypted password
 */
export declare function encodePassword(src: string, key: string, iv: string): string;
/**
 * Encodes the string with RSA.
 *
 * @param src - The string to be encrypted
 * @returns The encrypted string
 */
export declare function asyEncode(src: any): any;
/**
 * Encodes public and private keys.
 *
 * @param key - The encryption key
 * @param iv - The IV to encrypt
 * @returns The encrypted keys
 */
export declare function encodeKey(key: string, iv: string): any;
/**
 * Parse and object to query string.
 *
 * @param obj - The object to be parsed
 * @returns The result query string
 */
export declare function toQS(obj: any): string;
